Subject: Re: High load average but low cpu (xenomai can be the explanation?)

From: Brad Boyer <[email-masked]>
Date: Mon, 21 Sep 2009 21:10:17 -0700

On Mon, Sep 21, 2009 at 05:13:05PM +0200, [email-masked] wrote:
> I have an MPC880 @133MHz. If I look into the load (with uptime) I get 
> values around 3.0 but my CPU is always under 5 percent (top). How could I 
> explain this? I'm using linux 2.6.19 with xenomai but no xenomai application is 
> running at all. I have a cramfs on a nor flash. What could be the problem? If I 
> kill the process I developed the average load goes down.

Does your system have any kernel modules that are used as part of the
application you are creating? I've seen this happen with custom written
kernel modules that sleep in an uninterruptible wait during a call
from a program or inside a kernel thread. This shows up as 'D' state
in your ps output. Any thread in state 'D' counts against the load
average but doesn't show in CPU usage if it is actually sleeping.

I don't think this is the most likely explanation since you said you
can kill your process, but I thought I should mention it.

	Brad Boyer
	[email-masked]